#ifndef DASL_H
#define DASL_H

#include <BsplineEval/bsplineval.h>
#include <dasl_dbl/cprotos.h>

void	free_spline_workspaces(SplineInfo& spinfo);
void	alloc_spline_workspaces(SplineInfo& spinfo );

BsplineErr
dasl_eval( 
  doublereal theta, 
  doublereal zn, 
  SplineInfo& spinfo, 
  double* s 
  );

BsplineErr
dasl_eval_derivs( 
  double theta, 
  double zn, 
  SplineInfo& spinfo, 
  BsplineResult* bspres
  );


#endif // DASL_H
